
% Sport Data Application
% ROOTCLUS: searching for ROOT CLUSters in three-way proximity data, Bocci & Vicari, 2019, Section 2)
% Written by L. Bocci and D. Vicari, Sapienza University of Rome, Italy (Last update: April, 2019)

% SportData.m calls the Sport Data data (loaded from SportData.mat) 
% and sets the required input parameters. 
% The user can modify appropriately the corresponding lines according to the specific requirements.

%%%%%%%%%%%%%%% Input

J=7;                   % J       : number of clusters of objects
lambda=(0:.1:0.5);
start=0;               % start   : starting points flag  ( 0 = random; 1 = current values for P,Mh,W,ch )  
                       %           If start=1, then starting matrices P0,Mh0,W0 and Cost0 =[(H x 1) vector of the constants] must be provided by the user
nstart=200;            % nstart  : number of random starts  
offdiag=1;             % offdiag : offdiagonal flag ( 0 = including diagonal entries; 1 = only offdiagonal entries ) 

%%%%%%%%%%%%%%%

load 'SportData' 

rand('seed',1);  randn('seed',1);
ROOTCLUS
